(******************************************************************************)
(* plx scanner                                                                *)
(* (C) 2010 Steffen Solyga <solyga@absinth.net>                               *)
(******************************************************************************)
DEFINITION MODULE Scnr;

IMPORT FIO;

TYPE
  TSymbol = (
    sNull,
    sNum,
    sId,
    sExcl,
    sEql,
    sBec,
    sLPar,
    sMul,
    sDiv,
    sPlus,
    sMinus,
    sNot,
    sOr,
    sAnd,
    sNeq,
    sLss,
    sLeq,
    sGtr,
    sGeq,
    sRPar,
    sSemi,
    sDot,
    sEOF
  );

  TPosDesc = RECORD
    l,c: CARDINAL;
  END;

VAR
  src: FIO.File;
  sym: TSymbol;
  num: LONGCARD;
  id : CARDINAL;
  pos: TPosDesc;

PROCEDURE Put( s: ARRAY OF CHAR );
PROCEDURE Read();
PROCEDURE KeepId();
PROCEDURE Diff( x, y: CARDINAL ): INTEGER;

END Scnr.
